import * as React from "react";
import * as ReactDOM from "react-dom";
import '../src/style.css';
import Keycode from "../src";

export interface Props {
};

export interface State {
  keyboardInput: Array<number>;
  invalid: boolean;
};

class App extends React.Component<Props, State> {
  constructor(props: Props) {
    super(props);
    this.state = {
      keyboardInput: [],
      invalid: false
    }
  }

  handleChange = (keyboardInput: Array<number> | 'invalid') => {
    if (keyboardInput === 'invalid') {
      this.setState({invalid: true});
    } else {
      this.setState({ keyboardInput, invalid: false });
    }
  }

  render() {
    return (
      <div style={{ width: '50%' }}>
        <Keycode onChange={this.handleChange}
          keyboardInput={this.state.keyboardInput} />
        {this.state.invalid ?
          <span>The input char is invalid</span>
        : null}
      </div>
    );
  }
}

ReactDOM.render(
  <App/>,
  document.getElementById("root")
);

if (module.hot) {
  module.hot.accept();
}
